<?php
include('vars.php');


// -------------------------------------------------------------------------------------------------- //
//					    FONCTIONS GLOBALES
// -------------------------------------------------------------------------------------------------- //


function erreur($err, $arg="", $rmq="")
{
	// ici tu fais un case sur l'erreur et t'affiche le message d'erreur correspondant
  switch($err){
  case 'db_connect':
    echo 'problme de connexion';
    break;
  case 'db_selectdb':
    echo 'la db existe pas';
    break;
  }
}


// Connexion  la base de donnes
// ------------------------------
function db_connect()
{
 global $CONNECT_DB_DRIVER, $CONNECT_DB_DSN, $CONNECT_DB_LOGIN, $CONNECT_DB_PASSWORD, $CONNECT_DB_SERVER, $db;
 
 	$db = false;
	switch ($CONNECT_DB_DRIVER)
	{
		case "odbc": 	if (!$db = @odbc_pconnect($CONNECT_DB_DSN, $CONNECT_DB_LOGIN, $CONNECT_DB_PASSWORD))
					erreur("db_connect");
				break;
		case "mysql": 	if (!$db = @mysql_pconnect($CONNECT_DB_SERVER, $CONNECT_DB_LOGIN, $CONNECT_DB_PASSWORD))
					erreur("db_connect");
				if (! @mysql_select_db($CONNECT_DB_DSN))
					erreur("db_selectdb");
				break;
	}

	return ($db);
}


// Execution d'une Query
// ---------------------
function db_query($query, $db)
{
 global $CONNECT_DB_DRIVER;

	switch ($CONNECT_DB_DRIVER)
	{
		case "odbc":	$result = @odbc_do($db, $query);
				if (! $result) erreur("db_query", "", $query);
				break;
		case "mysql":	$result = mysql_query($query, $db);
				if (! $result) erreur("db_query", "", $query);
				break;
	}
	return ($result);
}


// Rcupre les donnes d'une Query
// --------------------------------
function db_fetch_array($result)
{
 global $CONNECT_DB_DRIVER;

	switch ($CONNECT_DB_DRIVER)
	{
		case "odbc":	@odbc_fetch_into($result, $data);
				if ($data)
				{
				 	for ($i=0; $i < @odbc_num_fields($result); $i++)
				 	{
				 		$field_name = @odbc_field_name($result, $i+1);
				 		$data[$field_name] = $data[$i];
				 	}
				}
				break;
		
		case "mysql":	$data = @mysql_fetch_array($result);
				break;

	}
	
	return ($data);
}


// Renvoie le nombre d'Enregistrement
// ----------------------------------
function db_num_rows($result)
{
 global $CONNECT_DB_DRIVER;

	
	switch ($CONNECT_DB_DRIVER)
	{
		case "odbc":	$num = odbc_num_rows($result);
				break;
		case "mysql":	$num = mysql_num_rows($result);
				break;
	
	}
	
	return ($num);
}







// -------------------------------------------------------------------------------------------------- //
//						CODE GLOBAL
// -------------------------------------------------------------------------------------------------- //

/*

// Connection  la Base :
// ----------------------

	if (!$db = db_connect()) 
	{
		erreur("db_connect");
		exit;
	}
*/
?>
